import { createSSRApp } from 'vue';
import App from './App.vue';

import * as Pinia from 'pinia';
import './styles/global.scss';
import './styles/font.scss';
import './styles/iconfont.scss';
import BackBar from '@/components/BackBar/index';

export function createApp() {
  const app = createSSRApp(App);
  app.use(Pinia.createPinia());
  app.component('BackBar', BackBar);
  return {
    app,
    Pinia,
  };
}
